Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Body

application/json

Request to create a new library listing.

display_name
string
required

Display name of the library listing

user_defined_id
string
required

User-defined identifier of the library listing

is_public
boolean
default:false

Whether the listing is publicly accessible

closed_source
boolean
default:false

Whether the listing is closed source (deployers cannot view or download the Truss, and forks copy mirrored weights instead of re-mirroring from upstream)

Response

200 - application/json

A library listing.

display_name
string
required

Display name of the library listing

user_defined_id
string
required

User-defined identifier of the library listing

is_public
boolean
required

Whether the listing is publicly accessible

closed_source
boolean
required

Whether the listing is closed source (deployers cannot view or download the Truss, and forks copy mirrored weights instead of re-mirroring from upstream)

created_at
string<date-time>
required

Time the listing was created in ISO 8601 format

modified_at
string<date-time>
required

Time the listing was last modified